library(gnlm)
source("cum.histo.r")

y <- matrix(c(36,18,39,42,166,192,427,809),ncol=2,byrow=T)
radio <- gl(2,1,4)
lectures <- gl(2,2)

options(contrasts = c("contr.mean", "contr.poly"))
summary(glm(y~radio*lectures,family=binomial))

if(interactive()){
postscript("cancer1.eps")
par(mfrow=c(2,2),font.main=1,mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
cum.histo(1:2,y[1,]/sum(y[1,]),main="Radio and lectures",xlab="",
	ylab="Relative frequency",xlim=c(0.5,2.5),ylim=c(0,1),axes=F,
	frame.plot=T)
axis(side=1,at=1:2,labels=c("Yes","No"))
axis(side=2,at=seq(0,1,by=0.2))
cum.histo(1:2,y[2,]/sum(y[2,]),main="Lectures only",xlab="",ylab="",
	xlim=c(0.5,2.5),ylim=c(0,1),axes=F,frame.plot=T)
axis(side=1,at=1:2,labels=c("Yes","No"))
cum.histo(1:2,y[3,]/sum(y[3,]),main="Radio only",xlab="",
	ylab="Relative frequency",xlim=c(0.5,2.5),ylim=c(0,1),axes=F,
	frame.plot=T)
axis(side=1,at=1:2,labels=c("Yes","No"))
axis(side=2,at=seq(0,1,by=0.2))
cum.histo(1:2,y[4,]/sum(y[4,]),main="Neither",xlab="",ylab="",
	xlim=c(0.5,2.5),ylim=c(0,1),axes=F,frame.plot=T)
axis(side=1,at=1:2,labels=c("Yes","No"))
dev.off()
}
