library(gnlm)
source("cum.histo.r")

y <- matrix(c(31,12,34,24,137,126,276,333,5,6,5,18,29,66,151,476),
	ncol=2,byrow=T)
radio <- gl(2,1,8)
lectures <- gl(2,2,8)
newspapers <- gl(2,4)

options(contrasts = c("contr.mean", "contr.poly"))
summary(glm(y~radio*lectures*newspapers,family=binomial))

if(interactive()){
postscript("cancer2.eps")
par(mfrow=c(4,2),font.main=1,mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
cum.histo(1:2,y[1,]/sum(y[1,]),main="Radio, lectures, and newspapers",xlab="",
	ylab="Relative frequency",xlim=c(0.5,2.5),ylim=c(0,1),axes=F,
	frame.plot=T)
axis(side=1,at=1:2,labels=c("Yes","No"))
axis(side=2,at=seq(0,1,by=0.2))
cum.histo(1:2,y[2,]/sum(y[2,]),main="Lectures and newspapers",xlab="",ylab="",
	xlim=c(0.5,2.5),ylim=c(0,1),axes=F,frame.plot=T)
axis(side=1,at=1:2,labels=c("Yes","No"))
cum.histo(1:2,y[3,]/sum(y[3,]),main="Radio and newspapers",xlab="",
	ylab="Relative frequency",xlim=c(0.5,2.5),ylim=c(0,1),axes=F,
	frame.plot=T)
axis(side=1,at=1:2,labels=c("Yes","No"))
axis(side=2,at=seq(0,1,by=0.2))
cum.histo(1:2,y[4,]/sum(y[4,]),main="Newspapers only",xlab="",ylab="",
	xlim=c(0.5,2.5),ylim=c(0,1),axes=F,frame.plot=T)
axis(side=1,at=1:2,labels=c("Yes","No"))
cum.histo(1:2,y[5,]/sum(y[5,]),main="Radio and lectures",xlab="",
	ylab="Relative frequency",xlim=c(0.5,2.5),ylim=c(0,1),axes=F,
	frame.plot=T)
axis(side=1,at=1:2,labels=c("Yes","No"))
axis(side=2,at=seq(0,1,by=0.2))
cum.histo(1:2,y[6,]/sum(y[6,]),main="Lectures only",xlab="",ylab="",
	xlim=c(0.5,2.5),ylim=c(0,1),axes=F,frame.plot=T)
axis(side=1,at=1:2,labels=c("Yes","No"))
cum.histo(1:2,y[7,]/sum(y[7,]),main="Radio only",xlab="",
	ylab="Relative frequency",xlim=c(0.5,2.5),ylim=c(0,1),axes=F,
	frame.plot=T)
axis(side=1,at=1:2,labels=c("Yes","No"))
axis(side=2,at=seq(0,1,by=0.2))
cum.histo(1:2,y[8,]/sum(y[8,]),main="None",xlab="",ylab="",
	xlim=c(0.5,2.5),ylim=c(0,1),axes=F,frame.plot=T)
axis(side=1,at=1:2,labels=c("Yes","No"))
dev.off()
}
