library(gnlm)

y <- matrix(c(5,6,12,5),ncol=2)
sex <- gl(2,1)

# binomial does not accept identity link!!!

options(contrasts = c("contr.mean", "contr.poly"))
summary(glm(y~1,family=binomial(link=log)))
summary(glm(y~sex,family=binomial(link=log)))

options(contrasts = c("contr.treatment", "contr.poly"))
summary(glm(y~1,family=binomial(link=log)))
summary(glm(y~sex,family=binomial(link=log)))

options(contrasts = c("contr.mean", "contr.poly"))
summary(z0 <- glm(y~1,family=binomial))
summary(glm(y~sex,family=binomial))

options(contrasts = c("contr.treatment", "contr.poly"))
summary(glm(y~1,family=binomial))
summary(glm(y~sex,family=binomial))

# logistic residuals
residuals(z0,type="pearson")
n <- y[,1]+y[,2]
(y[,1]-n*fitted(z0))/sqrt(fitted(z0)*(1-fitted(z0))*n)
(y[,2]-n*(1-fitted(z0)))/sqrt(fitted(z0)*(1-fitted(z0))*n)
# log linear residuals
print(r1 <- (y[,1]-n*fitted(z0))/sqrt(fitted(z0)*n))
print(r2 <- (y[,2]-n*(1-fitted(z0)))/sqrt((1-fitted(z0))*n))

sum(r1^2+r2^2)
