library(rmutil)
options(contrasts = c("contr.mean", "contr.poly"))
source("cum.histo.r")

freq <- c(108,392,288,197,532,7,49,49,52,269,21,115,126,94,646)
program <- gl(3,5)
class <- gl(5,1,15)

print(summary(glm(freq~program+class,family=poisson)))
print(summary(glm(freq~program*class,family=poisson)))

if(interactive()){
postscript("program.eps")
y <- matrix(freq,ncol=3)
par(mfrow=c(2,3),font.main=1,mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
cum.histo(1:3,y[1,]/sum(y[1,]),main="Capitalist",xlab="",
	ylab="Relative frequency",xlim=c(0.5,3.5),ylim=c(0,1),axes=F,
	frame.plot=T)
axis(side=1,at=1:3,labels=c("A","V","G"))
axis(side=2,at=seq(0,1,by=0.2))
cum.histo(1:3,y[2,]/sum(y[2,]),main="Professional",xlab="",ylab="",
	xlim=c(0.5,3.5),ylim=c(0,1),axes=F,frame.plot=T)
axis(side=1,at=1:3,labels=c("A","V","G"))
cum.histo(1:3,y[3,]/sum(y[3,]),main="Small proprietor",xlab="",
	ylab="",xlim=c(0.5,3.5),ylim=c(0,1),axes=F,
	frame.plot=T)
axis(side=1,at=1:3,labels=c("A","V","G"))
cum.histo(1:3,y[4,]/sum(y[4,]),main="White collar",xlab="",
	ylab="Relative frequency",xlim=c(0.5,3.5),ylim=c(0,1),axes=F,
	frame.plot=T)
axis(side=1,at=1:3,labels=c("A","V","G"))
axis(side=2,at=seq(0,1,by=0.2))
cum.histo(1:3,y[5,]/sum(y[5,]),main="Manual worker",xlab="",ylab="",
	xlim=c(0.5,3.5),ylim=c(0,1),axes=F,frame.plot=T)
axis(side=1,at=1:3,labels=c("A","V","G"))
dev.off()
}
