source("cum.histo.r")
library(rmutil)

y <- matrix(c(3,5,14,2,2,7,25,5),ncol=2)
village <- gl(4,1)

options(contrasts = c("contr.mean", "contr.poly"))
summary(glm(y~1,family=binomial))
summary(z1 <- glm(y~village,family=binomial))
-sum(coef(z1)[2:4])
coef(z1)[2]-coef(z1)[3]
coef(z1)[3]+sum(coef(z1)[2:4])

options(contrasts = c("contr.treatment", "contr.poly"))
summary(glm(y~1,family=binomial))
summary(glm(y~village,family=binomial))

if(interactive()){
postscript("india.eps")
par(mfrow=c(2,2),font.main=1,mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
cum.histo(1:2,y[1,]/5,main="IA",xlab="",ylab="Relative frequency",
	xlim=c(0.5,2.5),ylim=c(0,1),axes=F,frame.plot=T)
axis(side=1,at=1:2,labels=c("Yes","No"))
axis(side=2,at=seq(0,1,by=0.2))
cum.histo(1:2,y[2,]/12,main="IB",xlab="",ylab="",
	xlim=c(0.5,2.5),ylim=c(0,1),axes=F,frame.plot=T)
axis(side=1,at=1:2,labels=c("Yes","No"))
cum.histo(1:2,y[3,]/39,main="II",xlab="",ylab="Relative frequency",
	xlim=c(0.5,2.5),ylim=c(0,1),axes=F,frame.plot=T)
axis(side=1,at=1:2,labels=c("Yes","No"))
axis(side=2,at=seq(0,1,by=0.2))
cum.histo(1:2,y[4,]/7,main="III",xlab="",ylab="",
	xlim=c(0.5,2.5),ylim=c(0,1),axes=F,frame.plot=T)
axis(side=1,at=1:2,labels=c("Yes","No"))
dev.off()
}
