library(gnlm)
source("cum.histo.r")
options(contrasts = c("contr.mean", "contr.poly"))

y <- matrix(c(43,16,3,6,11,10,9,18,16),ncol=3)

if(interactive()){
postscript("visit.eps",height=6)
par(mfrow=c(1,3),font.main=1,mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
cum.histo(1:3,y[1,]/sum(y[1,]),main="2-10 months",xlab="",
	ylab="Relative frequency",xlim=c(0.5,3.5),ylim=c(0,1),axes=F,
	frame.plot=T)
axis(side=1,at=1:3,labels=c("A","B","C"))
axis(side=2,at=seq(0,1,by=0.2))
cum.histo(1:3,y[2,]/sum(y[2,]),main="10-20 months",xlab="",ylab="",
	xlim=c(0.5,3.5),ylim=c(0,1),axes=F,frame.plot=T)
axis(side=1,at=1:3,labels=c("A","B","C"))
cum.histo(1:3,y[3,]/sum(y[3,]),main=">20 months",xlab="",
	ylab="",xlim=c(0.5,3.5),ylim=c(0,1),axes=F,
	frame.plot=T)
axis(side=1,at=1:3,labels=c("A","B","C"))
dev.off()
}

freq <- matrix(c(43,16,3,49,27,13,6,11,10,9,18,16),ncol=2)
lengthf <- gl(3,1,6)
block <- gl(2,3)
summary(zc <- glm(freq~lengthf*block,family=binomial))
-sum(coef(zc)[2:3])
summary(zc0 <- glm(freq~lengthf+block,family=binomial))
-sum(coef(zc0)[2:3])

y <- rep(0:2,rep(3,3))
lengthf2 <- gl(3,1,9)
wt <- c(43,16,3,6,11,10,9,18,16)
nordr(y, dist="cont", mu=~lengthf2, pmu=c(1,1,-1), weights=wt, pintercept=1)

freq <- matrix(c(43,16,3,49,27,13,15,29,26,9,18,16),ncol=2)
summary(zp <- glm(freq~lengthf*block,family=binomial))
-sum(coef(zp)[2:3])
summary(zp0 <- glm(freq~lengthf+block,family=binomial))
-sum(coef(zp0)[2:3])

nordr(y, dist="prop", mu=~lengthf2, pmu=c(1,1,-1), weights=wt, pintercept=1)
