options(contrasts = c("contr.sum", "contr.poly"))

yes <- c(10,40,18,18,8,2)
no <- c(40,160,132,132,192,48)
y <- cbind(yes,no)
ses <- gl(3,2,6)
scout <- gl(2,1,6)
print(summary(z0 <- glm(y~1,family=binomial)))
deviance(z0)+2*(dim(y)[1]-z0$df.res)
print(summary(z1 <- glm(y~scout*ses,family=binomial)))
deviance(z1)+2*(dim(y)[1]-z1$df.res)
print(summary(z2 <- glm(y~scout,family=binomial)))
deviance(z2)+2*(dim(y)[1]-z2$df.res)
print(summary(z3 <- glm(y~ses,family=binomial)))
deviance(z3)+2*(dim(y)[1]-z3$df.res)
print(summary(z4 <- glm(y~scout+ses,family=binomial)))
deviance(z4)+2*(dim(y)[1]-z4$df.res)

y1 <- cbind(c(36,60),c(364,340))
sc <- gl(2,1)
print(summary(za <- glm(y1~sc,family=binomial)))

y2 <- cbind(c(50,36,10),c(200,264,240))
st <- gl(3,1)
print(summary(zb <- glm(y2~st,family=binomial)))

if(interactive()){
postscript("e3-4b.eps",height=4,width=5)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
lik <- NULL
for(i in seq(-0.7,0.7,by=0.01)){
	z <- glm(y~ses,offset=(as.numeric(scout)-1)*i,family=binomial)
	lik <- c(lik,deviance(z)/2)}
plot(-seq(-0.7,0.7,by=0.01)/2,exp(-lik),type="l",xlab=expression(alpha[1]),
	ylab=expression(R(alpha[1])),bty="L",ylim=0:1)
dev.off()
}
