options(contrasts = c("contr.sum", "contr.poly"))

fatal <- c(1601,510)
nonf <- c(162527,412368)
y1 <- cbind(fatal,nonf)
seat <- gl(2,1,2)
print(summary(z0a <- glm(y1~1,family=binomial)))
deviance(z0a)+2*(dim(y1)[1]-z0a$df.res)
print(summary(z1a <- glm(y1~seat,family=binomial)))
deviance(z1a)+2*(dim(y1)[1]-z1a$df.res)
if(interactive()){
postscript("e3-2a.eps",height=4,width=5)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
lik <- NULL
for(i in -seq(1.9,2.3,by=0.01)){
	z <- glm(y1~1,offset=(as.numeric(seat)-1)*i,family=binomial)
	lik <- c(lik,deviance(z)/2)}
plot(seq(1.9,2.3,by=0.01)/2,exp(-lik),type="l",xlab=expression(alpha[1]),
	ylab=expression(R(alpha[1])),bty="L")
dev.off()
}

yes <- c(23,35)
no <- c(34,132)
y2 <- cbind(yes,no)
cont <- gl(2,1,2)
print(summary(z0b <- glm(y2~1,family=binomial)))
deviance(z0b)+2*(dim(y2)[1]-z0b$df.res)
print(summary(z1b <- glm(y2~cont,family=binomial)))
deviance(z1b)+2*(dim(y2)[1]-z1b$df.res)
if(interactive()){
postscript("e3-2b.eps",height=4,width=5)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
lik <- NULL
for(i in -seq(0,2,by=0.01)){
	z <- glm(y2~1,offset=(as.numeric(cont)-1)*i,family=binomial)
	lik <- c(lik,deviance(z)/2)}
plot(seq(0,2,by=0.01)/2,exp(-lik),type="l",xlab=expression(alpha[1]),
	ylab=expression(R(alpha[1])),bty="L")
dev.off()
}

print(z0 <- glm(y2~1,family=binomial))
print(pind <- dbinom(23,57,fitted(z0)[1])*dbinom(35,132,fitted(z0)[2]))
print(z1 <- glm(y2~1,offset=-(as.numeric(cont)-1.5),family=binomial))
print(p1 <- dbinom(23,57,fitted(z1)[1])*dbinom(35,132,fitted(z1)[2]))
0.5*pind/(0.5*pind+0.5*p1)
0.5*p1/(0.5*pind+0.5*p1)

freq <- c(784,236,311,66)
death <- gl(2,1,4)
gun <- gl(2,2,4)
print(summary(z0c <- glm(freq~death+gun,family=poisson)))
deviance(z0c)+2*(dim(freq)[1]-z0c$df.res)
print(summary(z1c <- glm(freq~death*gun,family=poisson)))
deviance(z1c)+2*(dim(freq)[1]-z1c$df.res)
if(interactive()){
postscript("e3-2c.eps",height=4,width=5)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
lik <- NULL
for(i in -seq(-0.1,0.2,by=0.01)){
	z <- glm(freq~death+gun,offset=c(1,-1,-1,1)*i,family=poisson)
	lik <- c(lik,deviance(z)/2)}
plot(-seq(-0.1,0.2,by=0.01)/2,exp(-lik),type="l",xlab=expression(alpha[1]),
	ylab=expression(R(alpha[1])),bty="L")
dev.off()
}
