library(gnlm)

if(interactive()){
postscript("expon.eps",height=6,width=6)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
plot(1:50,dexp(1:50,1/25),xlim=c(0,50),ylim=c(0,0.04),
	type="l",xlab=expression(y[i]),ylab=expression(f(y[i])))
dev.off()
}

f <- c(28,20,17,11,14,6,13,17,16,11,13,3,4,17)
y <- c(0,20,40,60,80,100,120,140,200,260,320,380,440,500,1500)
# exact value
y1 <- scan("mines.dat",skip=4)
sum(y1)/190
# censored estimate
y2 <- (y[1:14]+y[2:15])/2
y2[14] <- 500
sum(y2*f)/sum(f[-14])
sum(y2*f)/sum(f)

if(interactive()){
postscript("mine.eps",height=6,width=6)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
}
fit.dist(y,f,"exponential",breaks=T,cens=T,plot=interactive(),main="",
	xlab="Days",xlim=c(0,500),ylim=c(0,0.01),ylab=expression(f(y[i])))
if(interactive()){
dev.off()
}

f1 <- c(22,17,13,8,14,6,9,12,11,4,4,2,0,2)
if(interactive()){
postscript("mine2.eps",height=6,width=6)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
}
fit.dist(y,f1,"exponential",breaks=T,cens=T,plot=interactive(),main="",
	xlab="Days",xlim=c(0,500),ylim=c(0,0.01),ylab=expression(f(y[i])))
if(interactive()){
dev.off()
}

f2 <- c(7,3,4,3,0,0,4,5,5,7,9,1,4,15)
fit.dist(y,f2,"exponential",breaks=T,cens=T,plot=interactive(),main="",
	xlab="Days",xlim=c(0,500),ylim=c(0,0.01),ylab=expression(f(y[i])))
