library(gnlm)

if(interactive()){
postscript("gamma.eps",height=6,width=6)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
plot(1:25,dgamma(1:25,0.5,scale=1/0.5),xlim=c(0,25),ylim=c(0,0.2),
	type="l",xlab=expression(y[i]),ylab=expression(f(y[i])))
lines(1:25,dgamma(1:25,7.5,scale=15/7.5),lty=2)
legend(15,0.15,legend=c(expression(alpha==0.5),expression(alpha==7.5)),
	lty=1:2,bty="n")
dev.off()
}

f <- read.table("divorces.dat",skip=2)[[2]]
y <- 1:52
if(interactive()){
postscript("divorce.eps",height=6,width=6)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
}
fit.dist(y,f,"gamma",plot=interactive(),main="",xlab="Length of marriage",
	xlim=c(0,52),ylim=c(0,0.07),ylab=expression(f(y[i])))
fit.dist(y,f,"Weibull",plot=interactive(),add=T,lty=2)
legend(30,0.06,legend=c("Gamma","Weibull"),lty=1:2,bty="n")
if(interactive()){
dev.off()
}
