library(gnlm)

if(interactive()){
postscript("poisson.eps",height=6,width=6)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
fit.dist(0:9,dpois(0:9,2)*10,"Poisson",plot=T,xlab=expression(y[i]),
	ylab=expression(pi[i]),main="")
dev.off()
}

if(interactive()){
postscript("behind.eps")
par(mfrow=c(3,2),mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0),font.main=1)
}
y <- seq(0,5)
f1 <- c(13,31,40,31,18,22)
fit.dist(y,f1,"Poisson",cens=T,plot=interactive(),main="Lumpenproletariat",
	xlab="",ylab=expression(pi[i]),ylim=c(0,0.5),axes=F,frame.plot=T)
if(interactive()){
axis(side=1,at=0:5,labels=c(0:4,"5+"))
axis(side=2,at=seq(0,0.5,by=0.1))
}
f2 <- c(98,217,179,124,61,54)
fit.dist(y,f2,"Poisson",cens=T,plot=interactive(),main="Working class",xlab="",
	ylab="",ylim=c(0,0.5),axes=F,frame.plot=T)
if(interactive()){
axis(side=1,at=0:5,labels=c(0:4,"5+"))
axis(side=2,at=seq(0,0.5,by=0.1))
}
f3 <- c(33,69,68,36,24,14)
fit.dist(y,f3,"Poisson",cens=T,plot=interactive(),main="Artisans",xlab="",
	ylab=expression(pi[i]),ylim=c(0,0.5),axes=F,frame.plot=T)
if(interactive()){
axis(side=1,at=0:5,labels=c(0:4,"5+"))
axis(side=2,at=seq(0,0.5,by=0.1))
}
f4 <- c(25,50,43,25,7,9)
fit.dist(y,f4,"Poisson",cens=T,plot=interactive(),main="Shopkeepers",
	xlab="",ylab="",ylim=c(0,0.5),axes=F,frame.plot=T)
if(interactive()){
axis(side=1,at=0:5,labels=c(0:4,"5+"))
axis(side=2,at=seq(0,0.5,by=0.1))
}
f5 <- c(87,184,106,38,22,21)
fit.dist(y,f5,"Poisson",cens=T,plot=interactive(),main="White collar",
	xlab="Years behind",ylab=expression(pi[i]),ylim=c(0,0.5),axes=F,
	frame.plot=T)
if(interactive()){
axis(side=1,at=0:5,labels=c(0:4,"5+"))
axis(side=2,at=seq(0,0.5,by=0.1))
}
f6 <- c(42,90,30,12,4,4)
fit.dist(y,f6,"Poisson",cens=T,plot=interactive(),
	main="Ideological professions",xlab="Years behind",
	ylab="",ylim=c(0,0.5),axes=F,frame.plot=T)
if(interactive()){
axis(side=1,at=0:5,labels=c(0:4,"5+"))
axis(side=2,at=seq(0,0.5,by=0.1))
dev.off()
}
