library(gnlm)

if(interactive()){
postscript("weibull.eps",height=6)
par(mfrow=c(1,2),mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
plot(1:50,dweibull(1:50,0.5,25),xlim=c(0,50),ylim=c(0,0.1),
	type="l",xlab=expression(y[i]),ylab=expression(f(y[i])))
lines(1:50,dweibull(1:50,2,25),lty=2)
legend(10,0.08,legend=c(expression(alpha==0.5),expression(alpha==2)),
	lty=1:2,bty="n")
plot(1:50,0.5*((1:50)/25)^(-0.5),xlim=c(0,50),ylim=c(0,5),
	type="l",xlab=expression(y[i]),ylab=expression(lambda(y[i])))
lines(1:50,2*((1:50)/25)^2,lty=2)
dev.off()
}

f <- read.table("divorces.dat",skip=2)[[2]]
y <- 1:52

if(interactive()){
postscript("divorce2.eps",height=6,width=6)
par(mfrow=c(1,1),mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
}
fit.dist(y,f,"Weibull",plot=interactive(),main="",xlab="Length of marriage",
	xlim=c(0,52),ylim=c(0,0.07),ylab=expression(f(y[i])))
if(interactive()){
dev.off()
}

fit.dist(y,f,"Weibull",plot=interactive(),main="",xlab="Length of marriage",
	xlim=c(0,52),ylim=c(0,0.07),ylab=expression(f(y[i])),exact=F)
