library(rmutil)
options(contrasts = c("contr.mean", "contr.poly"))

y <- c(6,8,11,12,14,1,1,8,9,12,13,14,14,17,10,11)
rest <- gl(2,8)
practice <- gl(2,4,16)

summary(z <- glm(y~rest*practice))
summary(z1 <- glm(y~rest+practice))
summary(z2 <- glm(y~practice))
summary(z3 <- glm(y~rest))
summary(z4 <- glm(y~1))
anova(z)
print(sig2 <- sum(residuals(z)^2)/16)
8*log(sig2)+5
16*log(sum(residuals(z1)^2)/16/sig2)
8*log(sum(residuals(z1)^2)/16)+4
16*log(sum(residuals(z2)^2)/sum(residuals(z1)^2))
8*log(sum(residuals(z2)^2)/16)+3
16*log(sum(residuals(z3)^2)/sum(residuals(z1)^2))
8*log(sum(residuals(z3)^2)/16)+3
16*log(sum(residuals(z4)^2)/sum(residuals(z3)^2))
8*log(sum(residuals(z4)^2)/16)+2

slope <- coef(z3)[2]
se <- coef(summary(z3))[2,2]
points <- seq(slope-3*se,slope+3*se,by=0.1)
lr <- rep(0,length(points))
for(i in 1:length(points)){
      lr[i] <- deviance(lm(y~1,
		offset=(rest==1)*points[i]-(rest==2)*points[i]))}
lr <- (lr/deviance(z3))^(-8)

if(interactive()){
postscript("scorelike.eps",height=6,width=6)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
plot(points,exp(-(points-slope)^2/(2*se^2)),type="l",
	xlab=expression(alpha[1]),ylab=expression(R(alpha[1])),lty=2)
lines(points,lr)
legend(-5.5,1,legend=c("Profile likelihood","Standard error",
	"  approximation"),lty=c(1,2,0),bty="n")
dev.off()
}
