library(event)
options(contrasts = c("contr.mean", "contr.poly"))

y <- as.integer(scan("accident.dat",skip=2)>0)

if(interactive()){
postscript("accident.eps",height=6,width=6)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
cprocess(events=y,xlab="Days",ylab="Accidents")
dev.off()
}

print(z2 <- table(y[2:223],y[1:222],dnn=c("T1","R")))
print(z3 <- table(y[2:222],y[1:221],y[3:223],dnn=c("T1","R","T2")))
z2/apply(z2,2,sum)
z3[,,1]/apply(z3[,,1],1,sum)
z3[,,2]/apply(z3[,,2],1,sum)

summary(glm(z2~1,family=binomial))
summary(glm(z2~gl(2,1),family=binomial))
lag1 <- gl(2,1,4)
lag2 <- gl(2,2)
summary(z0 <- glm(matrix(z3,ncol=2)~1,family=binomial))
deviance(z0)/2+1
summary(zs <- glm(matrix(z3,ncol=2)~lag1*lag2,family=binomial))
deviance(zs)/2+4
summary(z1 <- glm(matrix(z3,ncol=2)~lag1,family=binomial))
deviance(z1)/2+2
summary(z2 <- glm(matrix(z3,ncol=2)~lag2,family=binomial))
deviance(z2)/2+2
