data <- read.table("winchester.dat",header=T,skip=1)
attach(data)
year <- 1:20

if(interactive()){
postscript("e6-3a.eps")
par(mfrow=c(2,2),mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0),font.main=1)
plot(seq(1250,1450,by=10),Agriculture,xlab="",ylab="Wage",main="Agriculture",
	type="l",ylim=c(0,8),bty="L")
plot(seq(1250,1450,by=10),Carpenter,xlab="",ylab="Wage",main="Carpenter",
	type="l",ylim=c(0,8),bty="L")
plot(seq(1250,1450,by=10),Mason,xlab="Decade",ylab="Wage",main="Mason",
	type="l",ylim=c(0,8),bty="L")
plot(seq(1250,1450,by=10),Wheat,xlab="Decade",ylab="Price",main="Wheat",
	type="l",ylim=c(0,8),bty="L")
dev.off()
}

print(summary(z1a0 <- glm(Wheat[2:21]~1)))
print(summary(z1a <- glm(Agriculture[2:21]~Agriculture[1:20])))
print(summary(z1b <- glm(Agriculture[2:21]~year)))

print(summary(z2a0 <- glm(Carpenter[2:21]~1)))
print(summary(z2a <- glm(Carpenter[2:21]~Carpenter[1:20])))
print(summary(z2b <- glm(Carpenter[2:21]~year)))

print(summary(z3a0 <- glm(Mason[2:21]~1)))
print(summary(z3a <- glm(Mason[2:21]~Mason[1:20])))
print(summary(z3b <- glm(Mason[2:21]~year)))

print(summary(z4a0 <- glm(Wheat[2:21]~1)))
sqrt(sum((Wheat[2:21]-mean(Wheat[2:21]))^2)/20)
print(summary(z4a <- glm(Wheat[2:21]~Wheat[1:20])))
print(summary(z4b <- glm(Wheat[2:21]~year)))

print(summary(z4c <- glm(Wheat[2:21]~Agriculture[2:21])))
print(summary(z4d <- glm(Wheat[2:21]~Agriculture[1:20])))

print(summary(z4e <- glm(Wheat[2:21]~Wheat[1:20]+year+Agriculture[2:21])))
print(summary(z4f <- glm(Wheat[2:21]~year+Agriculture[2:21])))
print(summary(z4g <- glm(Wheat[2:21]~year)))

if(interactive()){
like <- NULL
for(i in seq(5,7,by=0.05)){
like <- c(like,-sum(dnorm(Wheat[2:21],i,sqrt(sum((Wheat[2:21]-i)^2)/20),log=T)))}
postscript("e6-3b.eps",height=4,width=5)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
plot(seq(5,7,by=0.05),exp(-like+min(like)),type="l",xlab=expression(beta[0]),
	ylab=expression(R(beta[0])),bty="L")
dev.off()
}
